## GtkCellRendererSpin

GtkCellRendererSpin — Renders a spin button in a cell

## Functions

GtkCellRenderer * | gtk_cell_renderer_spin_new ()

## Properties

GtkAdjustment * | adjustment | Read / Write
gdouble | climb-rate | Read / Write
guint | digits | Read / Write

## Types and Values

struct | GtkCellRendererSpin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererText
                        ╰── GtkCellRendererSpin

## Includes

    #include <gtk/gtk.h>

## Description

GtkCellRendererSpin renders text in a cell like GtkCellRendererText from which it is derived. But while GtkCellRendererText offers a simple entry to edit the text, GtkCellRendererSpin offers a GtkSpinButton widget. Of course, that means that the text has to be parseable as a floating point number.

The range of the spinbutton is taken from the adjustment property of the cell renderer, which can be set explicitly or mapped to a column in the tree model, like all properties of cell renders. GtkCellRendererSpin also has properties for the climb rate and the number of digits to display. Other GtkSpinButton properties can be set in a handler for the start-editing signal.

The GtkCellRendererSpin cell renderer was added in GTK+ 2.10.

## Functions

### gtk_cell_renderer_spin_new ()

    GtkCellRenderer *
    gtk_cell_renderer_spin_new (void);

Creates a new GtkCellRendererSpin.

#### Returns

a new GtkCellRendererSpin

Since 2.10

## Types and Values

### struct GtkCellRendererSpin

    struct GtkCellRendererSpin;

## Property Details

### The `“adjustment”` property

      “adjustment”               GtkAdjustment *

The adjustment that holds the value of the spinbutton. This must be non-`NULL` for the cell renderer to be editable.

Flags: Read / Write

Since 2.10

### The `“climb-rate”` property

      “climb-rate”               gdouble

The acceleration rate when you hold down a button.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since 2.10

### The `“digits”` property

      “digits”                   guint

The number of decimal places to display.

Flags: Read / Write

Allowed values: <= 20

Default value: 0

Since 2.10

## See Also

GtkCellRendererText, GtkSpinButton